<?php

require_once "../config.php";

$trigram = htmlspecialchars($_GET["trigram"]);

if (isset($_POST["validate"])) {
    $DB->exec("UPDATE `teams` SET `validation_status` = 'VALIDATED' WHERE `trigram` = '$trigram' AND `year` = $YEAR;");
}

$team_data = $DB->query("SELECT * FROM `teams` WHERE `trigram` = '$trigram' AND `year` = $YEAR;")->fetch();

if (isset($_POST["select"])) {
	$DB->exec("UPDATE `teams` SET `final_selection` = true, `validation_status` = 'NOT_READY' WHERE `trigram` = '$trigram' AND `year` = $YEAR;");
	$team_data["validation_status"] = "NOT_READY";
	$team_data["final_selection"] = true;
	$final_id = $_SESSION["final_id"];
	$team_id = $team_data["id"];
	
	$sols_req = $DB->prepare("SELECT `file_id`, `problem`, COUNT(`problem`) AS `version` FROM `solutions` WHERE `team` = ? AND `tournament` = ? GROUP BY `problem`, `uploaded_at` ORDER BY `problem`, `uploaded_at` DESC;");
	$sols_req->execute([$team_data["id"], $team_data["tournament"]]);
	while (($sol_data = $sols_req->fetch()) !== false) {
		$old_id = $sol_data["file_id"];
		$alphabet = "abcdefghijklmnopqrstuvwxyz0123456789";
		
		do {
			$id = "";
			for ($i = 0; $i < 64; ++$i) {
				$id .= $alphabet[rand(0, strlen($alphabet) - 1)];
			}
		}
		while (file_exists("$LOCAL_PATH/files/$id"));
		
		copy("$LOCAL_PATH/files/$old_id", "$LOCAL_PATH/files/$id");
		
		$req = $DB->prepare("INSERT INTO `solutions`(`file_id`, `team`, `tournament`, `problem`)
                VALUES (?, ?, ?, ?);");
		$req->execute([$id, $team_id, $_SESSION["final_id"], $sol_data["problem"]]);
	}
	
	$syntheses_req = $DB->prepare("SELECT `file_id`, `dest`, COUNT(`dest`) AS `version` FROM `syntheses` WHERE `team` = ? AND `tournament` = ? GROUP BY `dest`, `uploaded_at` ORDER BY `dest`, `uploaded_at` DESC;");
	$syntheses_req->execute([$team_data["id"], $team_data["tournament"]]);
	while (($synthese_data = $syntheses_req->fetch()) !== false) {
		$old_id = $synthese_data["file_id"];
		$alphabet = "abcdefghijklmnopqrstuvwxyz0123456789";
		
		do {
			$id = "";
			for ($i = 0; $i < 64; ++$i) {
				$id .= $alphabet[rand(0, strlen($alphabet) - 1)];
			}
		}
		while (file_exists("$LOCAL_PATH/files/$id"));
		
		copy("$LOCAL_PATH/files/$old_id", "$LOCAL_PATH/files/$id");
		
		$req = $DB->prepare("INSERT INTO `syntheses`(`file_id`, `team`, `tournament`, `dest`) VALUES (?, ?, ?, ?);");
		$req->execute([$id, $team_id, $_SESSION["final_id"], $synthese_data["dest"]]);
	}
}

if ($team_data === false)
    require_once "../404.php";

$tournament_data = $DB->query("SELECT `name`, `date_start` FROM `tournaments` WHERE `id` = '" . $team_data["tournament"] . "' AND `year` = '$YEAR';")->fetch();

$documents_req = $DB->prepare("SELECT `file_id`, `user`, `type`, COUNT(`type`) AS `version` FROM `documents` WHERE `team` = ? AND `tournament` = ? GROUP BY `user`, `type` ORDER BY `user`, `type` ASC, MAX(`uploaded_at`) DESC;");
$documents_req->execute([$team_data["id"], $team_data["tournament"]]);

if ($team_data["final_selection"]) {
	$documents_final_req = $DB->prepare("SELECT `file_id`, `user`, `type`, COUNT(`type`) AS `version` FROM `documents` WHERE `team` = ? AND `tournament` != ? GROUP BY `user`, `type` ORDER BY `user`, `type` ASC, MAX(`uploaded_at`) DESC;");
	$documents_final_req->execute([$team_data["id"], $_SESSION["final_id"]]);
}

require_once "../views/header.php";
require_once "../views/equipe.php";
require_once "../views/footer.php";
