<?php if (isset($error_message)) {
	if ($error_message !== false) {
		echo "<h2>Erreur : " . $error_message . "</h2>";
	} else {
		echo "<h2>Le fichier a été correctement envoyé !</h2>";
	}
} ?>

<h2>Informations sur l'équipe</h2>

Nom de l'équipe : <?= $team_data["name"] ?><br/>
Trigramme : <?= $team_data["trigram"] ?><br/>
Tournoi : <a href="<?= $tournament_data["name"] ?>"><?= $tournament_data["name"] ?></a><br/>
<?php
for ($i = 1; $i <= 2; ++$i) {
	if ($team_data["encadrant_" . $i] == NULL)
		continue;
	$user_data = $DB->query("SELECT `surname`, `first_name` FROM `users` WHERE `id` = " . $team_data["encadrant_" . $i] . " AND `year` = '$YEAR';")->fetch();
	echo "Encadrant $i : " . $user_data["first_name"] . " " . $user_data["surname"] . "<br />";
}
for ($i = 1; $i <= 6; ++$i) {
	if ($team_data["participant_" . $i] == NULL)
		continue;
	$user_data = $DB->query("SELECT `surname`, `first_name` FROM `users` WHERE `id` = " . $team_data["participant_" . $i] . " AND `year` = '$YEAR';")->fetch();
	echo "Participant $i : " . $user_data["first_name"] . " " . $user_data["surname"] . "<br />";
}
?>
Code d'accès : <strong><?php echo $team_data["access_code"] ?></strong><br/>
<?php if (isset($_SESSION["final_id"])) {
	$final_name = $_SESSION["final_name"];
	echo "<strong>Équipe sélectionnée pour la <a href=\"$URL_BASE/tournoi/$final_name\">finale nationale</a>.</strong><br />";
} ?>

<?php if (isset($_GET["modifier"])) { ?>

	<form method="POST">
		<input type="hidden" name="team_edit" value="true"/>
		<table style="width: 100%;">
			<tbody>
			<tr>
				<td style="width: 30%;">
					<label for="name">Nom :</label>
				</td>
				<td style="width: 70%;">
					<input style="width: 100%;" type="text" id="name" name="name" value="<?= $team_data["name"] ?>"/>
				</td>
			</tr>
			<tr>
				<td>
					<label for="trigram">Trigramme :</label>
				</td>
				<td>
					<input style="width: 100%;" type="text" id="trigram" name="trigram"
						   value="<?= $team_data["trigram"] ?>"/>
				</td>
			</tr>
			<tr>
				<td>
					<label for="tournament">Tournoi :</label>
				</td>
				<td>
					<select style="width: 100%;" id="tournament" name="tournament">
						<?php
						while (($data = $tournaments_response->fetch()) !== FALSE) {
							echo "<option value=\"" . $data["id"] . "\">" . $data["name"] . "</option>\n";
						}
						?>
					</select>
				</td>
			</tr>
			<tr>
				<td colspan="2">
					<input style="width: 100%;" type="submit" value="Modifier l'équipe"/>
				</td>
			</tr>
			</tbody>
		</table>
	</form>

<?php } else { ?>

	<?php if ($_SESSION["team_validation_status"] == "NOT_READY") { ?>
		<!--suppress HtmlUnknownTarget -->
		<a href="<?= $URL_BASE ?>/mon_equipe/modifier">Modifier mon équipe</a>
	<?php } ?>
	<hr/>
	<h2>Mes autorisations</h2>
	<?php
	while (($data = $documents_req->fetch()) !== false) {
		$file_id = $data["file_id"];
		$type = $data["type"];
		$version = $data["version"];
		switch ($data["type"]) {
			case "PARENTAL_CONSENT":
				$name = "Autorisation parentale";
				break;
			case "PHOTO_CONSENT":
				$name = "Autorisation de droit à l'image";
				break;
			case "SANITARY_PLUG":
				$name = "Fiche sanitaire";
				break;
		}
		echo "$name : <a href=\"$URL_BASE/file/$file_id\">Télécharger</a><br />";
	}
	if ($team_data["validation_status"] == "NOT_READY") { ?>
		<form method="post" enctype="multipart/form-data">
			<input type="hidden" name="MAX_FILE_SIZE" value="5000000"/>
			<table style="width: 100%;">
				<tbody>
				<tr>
					<td>
						<label for="type">Type de document :</label>
					</td>
					<td>
						<select style="width: 100%;" id="type" name="type">
							<?php if ($_SESSION["birth_date"] > strval($YEAR - 18) . substr($tournament_data["date_start"], 4)) { ?>
								<option value="parental_consent">Autorisation parentale</option>
							<?php } ?>
							<option value="photo_consent">Autorisation de droit à l'image</option>
							<option value="sanitary_plug">Fiche sanitaire</option>
						</select>
					</td>
				</tr>
				<tr>
					<td>
						<label for="file">Fichier :</label>
					</td>
					<td>
						<input style="width: 100%;" type="file" id="file" name="document"/>
					</td>
				</tr>
				<tr>
					<td colspan="2">
						<input style="width: 100%;" type="submit" name="send_document" value="Envoyer le document"/>
					</td>
				</tr>
				</tbody>
			</table>
		</form>
	<?php } ?>
	<hr/>
	<?php if ($team_data["validation_status"] == "NOT_READY") { ?>
		<table style="width: 100%;">
			<tr>
				<td style="width: 50%;">
					<form method="post">
						<input style="width: 100%;" type="submit" name="leave_team" value="Quitter l'équipe"/>
					</form>
				</td>
				<?php
				$can_validate = checkCanValidate();
				if ($can_validate) { ?>
					<td style="width: 50%;">
						<form method="post">
							<input style="width: 100%;" type="submit" name="request_validation"
								   value="Demander la validation"/>
						</form>
					</td>
				<?php } ?>
			</tr>
		</table>
	<?php } ?>
<?php } ?>
